From 5c5da3455e0913afdaa46eed2b3de42ba8620bab Mon Sep 17 00:00:00 2001
From: Stephanie Buser <sbuser@codeaurora.org>
Date: Sun, 1 Mar 2020 19:39:28 +0530
Subject: [PATCH] NetLed Frame

Change-Id: I20765470c2055fe6f8ef38e31ed7a2c17076a173
---
 .../statusbar/policy/NetworkControllerImpl.java    | 47 ++++++++++++++++++++++
 1 file changed, 47 insertions(+)

diff --git a/packages/SystemUI/src/com/android/systemui/statusbar/policy/NetworkControllerImpl.java b/packages/SystemUI/src/com/android/systemui/statusbar/policy/NetworkControllerImpl.java
index 265cec5..7703944 100644
--- a/packages/SystemUI/src/com/android/systemui/statusbar/policy/NetworkControllerImpl.java
+++ b/packages/SystemUI/src/com/android/systemui/statusbar/policy/NetworkControllerImpl.java
@@ -23,6 +23,7 @@ import android.content.IntentFilter;
 import android.content.res.Resources;
 import android.net.ConnectivityManager;
 import android.net.NetworkCapabilities;
+import android.net.NetworkInfo;
 import android.net.wifi.WifiManager;
 import android.os.AsyncTask;
 import android.os.Bundle;
@@ -56,6 +57,9 @@ import java.util.Comparator;
 import java.util.HashMap;
 import java.util.List;
 import java.util.Locale;
+import java.io.FileWriter;
+import java.io.IOException;
+
 import java.util.Map;
 
 import static android.net.NetworkCapabilities.NET_CAPABILITY_VALIDATED;
@@ -190,6 +194,12 @@ public class NetworkControllerImpl extends BroadcastReceiver
                 mCallbackHandler.setMobileDataEnabled(enabled);
             }
         });
+           if(isDataAviable()){
+           bootCommand("1","sys/class/gpio/gpio969/value");
+        }else{
+          bootCommand("0","sys/class/gpio/gpio969/value");
+        }
+
         mWifiSignalController = new WifiSignalController(mContext, mHasMobileDataFeature,
                 mCallbackHandler, this);
 
@@ -323,6 +333,17 @@ public class NetworkControllerImpl extends BroadcastReceiver
         // Something is wrong, better assume we can't make calls...
         return true;
     }
+    private boolean isDataAviable(){
+        final ConnectivityManager connManager = (ConnectivityManager) mContext
+                        .getSystemService(Context.CONNECTIVITY_SERVICE);
+        final NetworkInfo info = connManager.getActiveNetworkInfo();
+        if(info != null && info.isAvailable() && 
+            info.getType() == ConnectivityManager.TYPE_MOBILE){
+                return true;
+        }
+         return false;
+    }
+
 
     /**
      * Emergency status may have changed (triggered by MobileSignalController),
@@ -637,7 +658,19 @@ public class NetworkControllerImpl extends BroadcastReceiver
             Log.d(TAG, "updateConnectivity: mConnectedTransports=" + mConnectedTransports);
             Log.d(TAG, "updateConnectivity: mValidatedTransports=" + mValidatedTransports);
         }
+      final ConnectivityManager connManager = (ConnectivityManager) mContext
+             .getSystemService(Context.CONNECTIVITY_SERVICE);
+      final NetworkInfo info = connManager.getActiveNetworkInfo();
+      Log.d(TAG, "board is on: staus led on" );
+       if(info != null &&info.isAvailable() && info.getType() == ConnectivityManager.TYPE_MOBILE){
+            bootCommand("1","sys/class/gpio/gpio969/value");
+            Log.d(TAG, "updateConnectivity: data on" );
 
+        }else{
+            bootCommand("0","sys/class/gpio/gpio969/value");
+            Log.d(TAG, "updateConnectivity: data off" );
+
+        }
         mInetCondition = !mValidatedTransports.isEmpty();
 
         pushConnectivityToSignals();
@@ -654,6 +687,20 @@ public class NetworkControllerImpl extends BroadcastReceiver
         mWifiSignalController.updateConnectivity(mConnectedTransports, mValidatedTransports);
         mEthernetSignalController.updateConnectivity(mConnectedTransports, mValidatedTransports);
     }
+       private void bootCommand(String Strvalue,String path){
+        FileWriter command = null;
+        try {
+            command = new FileWriter(path);
+            if (!Strvalue.isEmpty()) {
+                command.write(Strvalue);
+                command.write("\n");
+            }
+            command.close();
+        }catch (IOException e){
+            e.printStackTrace();
+        }
+    }
+
 
     private void setTextViewVisibility(TextView v) {
         String networkName = getMobileDataNetworkName();
-- 
2.7.4

